Package org.kapott.hbci.sepa.jaxb.camt_052_001_09

# Class TransactionParties9

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_09.TransactionParties9

public class TransactionParties9 extends Object

Java class for TransactionParties9 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TransactionParties9">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="InitgPty" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}Party40Choice" minOccurs="0"/>
             <element name="Dbtr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}Party40Choice" minOccurs="0"/>
             <element name="DbtrAcct" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}CashAccount40" minOccurs="0"/>
             <element name="UltmtDbtr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}Party40Choice" minOccurs="0"/>
             <element name="Cdtr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}Party40Choice" minOccurs="0"/>
             <element name="CdtrAcct" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}CashAccount40" minOccurs="0"/>
             <element name="UltmtCdtr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}Party40Choice" minOccurs="0"/>
             <element name="TradgPty" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}Party40Choice" minOccurs="0"/>
             <element name="Prtry" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}ProprietaryParty5" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Party40Choice`
`cdtr`
`protected CashAccount40`
`cdtrAcct`
`protected Party40Choice`
`dbtr`
`protected CashAccount40`
`dbtrAcct`
`protected Party40Choice`
`initgPty`
`protected List<ProprietaryParty5>`
`prtry`
`protected Party40Choice`
`tradgPty`
`protected Party40Choice`
`ultmtCdtr`
`protected Party40Choice`
`ultmtDbtr`

## Constructor Summary

Constructors
Constructor
Description
`TransactionParties9()`

## Method Summary

Modifier and Type
Method
Description
`Party40Choice`
`getCdtr()`
Gets the value of the cdtr property.
`CashAccount40`
`getCdtrAcct()`
Gets the value of the cdtrAcct property.
`Party40Choice`
`getDbtr()`
Gets the value of the dbtr property.
`CashAccount40`
`getDbtrAcct()`
Gets the value of the dbtrAcct property.
`Party40Choice`
`getInitgPty()`
Gets the value of the initgPty property.
`List<ProprietaryParty5>`
`getPrtry()`
Gets the value of the prtry property.
`Party40Choice`
`getTradgPty()`
Gets the value of the tradgPty property.
`Party40Choice`
`getUltmtCdtr()`
Gets the value of the ultmtCdtr property.
`Party40Choice`
`getUltmtDbtr()`
Gets the value of the ultmtDbtr property.
`void`
`setCdtr(Party40Choice value)`
Sets the value of the cdtr property.
`void`
`setCdtrAcct(CashAccount40 value)`
Sets the value of the cdtrAcct property.
`void`
`setDbtr(Party40Choice value)`
Sets the value of the dbtr property.
`void`
`setDbtrAcct(CashAccount40 value)`
Sets the value of the dbtrAcct property.
`void`
`setInitgPty(Party40Choice value)`
Sets the value of the initgPty property.
`void`
`setTradgPty(Party40Choice value)`
Sets the value of the tradgPty property.
`void`
`setUltmtCdtr(Party40Choice value)`
Sets the value of the ultmtCdtr property.
`void`
`setUltmtDbtr(Party40Choice value)`
Sets the value of the ultmtDbtr property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### initgPty

protected Party40Choice initgPty

### dbtr

protected Party40Choice dbtr

### dbtrAcct

protected CashAccount40 dbtrAcct

### ultmtDbtr

protected Party40Choice ultmtDbtr

### cdtr

protected Party40Choice cdtr

### cdtrAcct

protected CashAccount40 cdtrAcct

### ultmtCdtr

protected Party40Choice ultmtCdtr

### tradgPty

protected Party40Choice tradgPty

### prtry

protected List<ProprietaryParty5> prtry

## Constructor Details

### TransactionParties9

public TransactionParties9()

## Method Details

### getInitgPty

public Party40Choice getInitgPty()
Gets the value of the initgPty property.

Returns:
  possible object is `Party40Choice`

### setInitgPty

public void setInitgPty(Party40Choice value)
Sets the value of the initgPty property.

Parameters:
  `value` - allowed object is `Party40Choice`

### getDbtr

public Party40Choice getDbtr()
Gets the value of the dbtr property.

Returns:
  possible object is `Party40Choice`

### setDbtr

public void setDbtr(Party40Choice value)
Sets the value of the dbtr property.

Parameters:
  `value` - allowed object is `Party40Choice`

### getDbtrAcct

public CashAccount40 getDbtrAcct()
Gets the value of the dbtrAcct property.

Returns:
  possible object is `CashAccount40`

### setDbtrAcct

public void setDbtrAcct(CashAccount40 value)
Sets the value of the dbtrAcct property.

Parameters:
  `value` - allowed object is `CashAccount40`

### getUltmtDbtr

public Party40Choice getUltmtDbtr()
Gets the value of the ultmtDbtr property.

Returns:
  possible object is `Party40Choice`

### setUltmtDbtr

public void setUltmtDbtr(Party40Choice value)
Sets the value of the ultmtDbtr property.

Parameters:
  `value` - allowed object is `Party40Choice`

### getCdtr

public Party40Choice getCdtr()
Gets the value of the cdtr property.

Returns:
  possible object is `Party40Choice`

### setCdtr

public void setCdtr(Party40Choice value)
Sets the value of the cdtr property.

Parameters:
  `value` - allowed object is `Party40Choice`

### getCdtrAcct

public CashAccount40 getCdtrAcct()
Gets the value of the cdtrAcct property.

Returns:
  possible object is `CashAccount40`

### setCdtrAcct

public void setCdtrAcct(CashAccount40 value)
Sets the value of the cdtrAcct property.

Parameters:
  `value` - allowed object is `CashAccount40`

### getUltmtCdtr

public Party40Choice getUltmtCdtr()
Gets the value of the ultmtCdtr property.

Returns:
  possible object is `Party40Choice`

### setUltmtCdtr

public void setUltmtCdtr(Party40Choice value)
Sets the value of the ultmtCdtr property.

Parameters:
  `value` - allowed object is `Party40Choice`

### getTradgPty

public Party40Choice getTradgPty()
Gets the value of the tradgPty property.

Returns:
  possible object is `Party40Choice`

### setTradgPty

public void setTradgPty(Party40Choice value)
Sets the value of the tradgPty property.

Parameters:
  `value` - allowed object is `Party40Choice`

### getPrtry

public List<ProprietaryParty5> getPrtry()
Gets the value of the prtry property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the prtry property.

For example, to add a new item, do as follows:

        getPrtry().add(newItem);

Objects of the following type(s) are allowed in the list `ProprietaryParty5`